#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,320,400,480,720,800,880,960,1920,3840
 * N : 25,240,320,400,480,720,800,880,960,1920,3840
 * NB : 4,24,24,48,32,48,24,40,80,80,80
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 4; \
   else if ((n_) < 360) (nb_) = 24; \
   else if ((n_) < 440) (nb_) = 48; \
   else if ((n_) < 600) (nb_) = 32; \
   else if ((n_) < 760) (nb_) = 48; \
   else if ((n_) < 840) (nb_) = 24; \
   else if ((n_) < 920) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
